import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  AutoScalingGroupNamesType,
  AutoScalingGroupsType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAutoScalingGroupsCommandInput
  extends AutoScalingGroupNamesType {}
export interface DescribeAutoScalingGroupsCommandOutput
  extends AutoScalingGroupsType,
    __MetadataBearer {}
export declare class DescribeAutoScalingGroupsCommand extends $Command<
  DescribeAutoScalingGroupsCommandInput,
  DescribeAutoScalingGroupsCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeAutoScalingGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAutoScalingGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAutoScalingGroupsCommandInput,
    DescribeAutoScalingGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
