import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DescribeLifecycleHooksAnswer,
  DescribeLifecycleHooksType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeLifecycleHooksCommandInput
  extends DescribeLifecycleHooksType {}
export interface DescribeLifecycleHooksCommandOutput
  extends DescribeLifecycleHooksAnswer,
    __MetadataBearer {}
export declare class DescribeLifecycleHooksCommand extends $Command<
  DescribeLifecycleHooksCommandInput,
  DescribeLifecycleHooksCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeLifecycleHooksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeLifecycleHooksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeLifecycleHooksCommandInput,
    DescribeLifecycleHooksCommandOutput
  >;
  private serialize;
  private deserialize;
}
