import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  RollbackInstanceRefreshAnswer,
  RollbackInstanceRefreshType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RollbackInstanceRefreshCommandInput
  extends RollbackInstanceRefreshType {}
export interface RollbackInstanceRefreshCommandOutput
  extends RollbackInstanceRefreshAnswer,
    __MetadataBearer {}
export declare class RollbackInstanceRefreshCommand extends $Command<
  RollbackInstanceRefreshCommandInput,
  RollbackInstanceRefreshCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: RollbackInstanceRefreshCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RollbackInstanceRefreshCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RollbackInstanceRefreshCommandInput,
    RollbackInstanceRefreshCommandOutput
  >;
  private serialize;
  private deserialize;
}
